"use strict";

function _interopDefault(ex) {
  return ex && "object" == typeof ex && "default" in ex ? ex.default : ex;
}

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var React = require("react"), useScript = _interopDefault(require("react-script-hook"));

function useRecaptcha({sitekey: sitekey, hideDefaultBadge: hideDefaultBadge = !1}) {
  const [recaptcha, setRecaptcha] = React.useState();
  return React.useEffect(() => {
    isBrowser && hideDefaultBadge && injectStyle(".grecaptcha-badge { visibility: hidden; }");
  }, [ hideDefaultBadge ]), useScript({
    src: `https://www.google.com/recaptcha/api.js?render=${sitekey}`,
    onload: () => window.grecaptcha.ready(() => {
      setRecaptcha(window.grecaptcha);
    })
  }), React.useEffect(() => {
    window.grecaptcha && window.grecaptcha.ready(() => {
      setRecaptcha(window.grecaptcha);
    });
  }, []), action => new Promise(resolve => {
    recaptcha && resolve(recaptcha.execute(sitekey, {
      action: action
    }));
  });
}

const isBrowser = "undefined" != typeof window && void 0 !== window.document, injectStyle = rule => {
  const styleEl = document.createElement("style");
  document.head.appendChild(styleEl);
  const styleSheet = styleEl.sheet;
  styleSheet && styleSheet.insertRule(rule, styleSheet.cssRules.length);
}, Badge = props => React.createElement("span", props, "This site is protected by reCAPTCHA and the Google", " ", React.createElement("a", {
  href: "https://policies.google.com/privacy",
  target: "_blank",
  rel: "noopener noreferrer"
}, "Privacy Policy"), " ", "and", " ", React.createElement("a", {
  href: "https://policies.google.com/terms",
  target: "_blank",
  rel: "noopener noreferrer"
}, "Terms of Service"), " ", "apply.");

exports.Badge = Badge, exports.useRecaptcha = useRecaptcha;
